# Hashes

Hashes checks.

Source:
  - hashes.js, line 1

### Methods

#### (inner) md5(value) → {boolean}

Check if is a valid MD5 hash string

Interfaces: `all`, `any`, `not`

Source:
  - hashes.js, line 9

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | hash string

##### Returns:

Type:
  `boolean`

##### Example

    be.md5('00236a2ae558018ed13b5222ef1bd977') // true
    be.not.md5('00236a2ae558018ed13b5222ef1bd977') // false

#### (inner) sha1(value) → {boolean}

Check if is a valid SHA1 hash string

Interfaces: `all`, `any`, `not`

Source:
  - hashes.js, line 26

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | `string` | hash string

##### Returns:

Type:
  `boolean`

##### Example

    be.sha1('aaf4c61ddcc5e8a2dabede0f3b482cd9aea9434d') // true
    be.not.sha1('aaf4c61ddcc5e8a2dabede0f3b482cd9aea9434d') // false